Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.exception
Interface SDXExceptionCode

All Known Implementing Classes:
  SDXException

public interface SDXExceptionCode

Error codes for exception during SDX processing.

The codes are integer between 0 and 7001, but this range could grow as needed.

The numbers between 1 and 99 are configuration errors. The numbers between 100 and 199 are errors within our Utilites class. The numbers between 200 and 299 are internal SDX errors. The numbers between 1000 and 1999 are application errors. The numbers between 6000 and 6999 are user errors. TODO:The numbers between 4000 and 4999 are authentification errors. Most of the other error categories are organized according to the Java package and then the class they are generated within.

If a configuration error occurs, it shoud be difficult to recover without modifying SDX configuration. The internal errors are errors resulting from an abnormal behaviour of SDX, mostly because of unavailable resources (database, files, etc.).

Application errors are exceptions thrown because of bad programming in applications : unknown application, document base or repository, missing arguments, unknown field name, etc. A change in the program logic or code (XSP, Java, URL) should correct the problem.

A user exception is thrown after a bad usage of SDX from a end-user. These should almost never happen.

TODO: An authentification error is throw when a user or an application attempts to use a protected resource without the appropriate permissions.

Field Summary
`static int` | `ERROR_ACCESS_APPS_LIST_FILE`
`static int` | `ERROR_ACQUIRE_DATASOURCE`
`static int` | `ERROR_ACQUIRE_PARSER`
`static int` | `ERROR_ACQUIRE_RESOLVER`
`static int` | `ERROR_ADD_DOC`
`static int` | `ERROR_ADD_PROPERTY`
`static int` | `ERROR_ADDING_LUCENE_SUB_INDEX`
`static int` | `ERROR_ANALYZER_CONFIG_FILE_READ`
`static int` | `ERROR_APP_CONFIG_FILE_READ`
`static int` | `ERROR_APPLICATION_XCONF_UNVAILABLE`
`static int` | `ERROR_BACKUP_APPLICATION`
`static int` | `ERROR_BACKUP_DATABASE`
`static int` | `ERROR_BACKUP_DOCUMENTBASE`
`static int` | `ERROR_BACKUP_INDEX`
`static int` | `ERROR_BACKUP_REPOSITORY`
`static int` | `ERROR_BIND_REMOTE_INDEX`
`static int` | `ERROR_BUILD_DOC_URL`
`static int` | `ERROR_BUILD_MULTIREADER`
`static int` | `ERROR_BUILD_MULTISEARCHER`
`static int` | `ERROR_BUILD_TRANSFORMED_FILE`
`static int` | `ERROR_BUILD_URL`
`static int` | `ERROR_CLASS_NOT_INSTANCEOF_SDX_INTERFACE`
`static int` | `ERROR_CLOSE_CONNECTION`
`static int` | `ERROR_CLOSE_RESULT_SET`
`static int` | `ERROR_CLOSE_SQL_CONNECTION`
`static int` | `ERROR_CLOSE_SQL_PREPARED_STATEMENT`
`static int` | `ERROR_CLOSE_STREAM`
`static int` | `ERROR_COMMIT`
`static int` | `ERROR_COMMIT_SQL_CONNECTION`
`static int` | `ERROR_CONFIG_NULL`
`static int` | `ERROR_CONFIGURE_APP`
`static int` | `ERROR_CONFIGURE_DATABASE`
`static int` | `ERROR_CONFIGURE_DOCUMENT_BASE`
`static int` | `ERROR_CONFIGURE_ID_GENERATOR`
`static int` | `ERROR_CONFIGURE_INDEXATION_LOGGER`
`static int` | `ERROR_CONFIGURE_INTERNAL_FIELDS`
`static int` | `ERROR_CONFIGURE_LUCENE_INDEX`
`static int` | `ERROR_CONFIGURE_PIPELINE`
`static int` | `ERROR_CONFIGURE_QUERY_PARSER`
`static int` | `ERROR_CONFIGURE_REPOSITORY`
`static int` | `ERROR_CONFIGURE_THESAURUS`
`static int` | `ERROR_CONFIGURE_TRANSFORMATION`
`static int` | `ERROR_CONNECTION_NULL`
`static int` | `ERROR_CONTENT_HANDLER_NULL`
`static int` | `ERROR_CREATE_APP_FILE`
`static int` | `ERROR_CREATE_APPS_LIST_FILE`
`static int` | `ERROR_CREATE_DIRS`
`static int` | `ERROR_CREATE_INDEX`
`static int` | `ERROR_CREATE_LUCENE_FIELD`
`static int` | `ERROR_CREATE_RMI_REGISTRY`
`static int` | `ERROR_CREATE_TABLE`
`static int` | `ERROR_DATE_INVALID`
`static int` | `ERROR_DEFAULT_ENCODING`
`static int` | `ERROR_DEFAULT_FIELD_EXISTS`
`static int` | `ERROR_DELETE_APP_ID`
`static int` | `ERROR_DELETE_DOC`
`static int` | `ERROR_DELETE_ENTITIES`
`static int` | `ERROR_DELETE_ENTITY`
`static int` | `ERROR_DIRECTORY_NOT_READABLE`
`static int` | `ERROR_DIRECTORY_NOT_WRITABLE`
`static int` | `ERROR_DIRECTORY_NULL`
`static int` | `ERROR_DIRECTORY_PATH_NULL`
`static int` | `ERROR_DOC_EXISTS`
`static int` | `ERROR_DOC_NULL`
`static int` | `ERROR_DOC_OWNED`
`static int` | `ERROR_DOCUMENT_NOT_IN_RESULTS`
`static int` | `ERROR_EMPTY`
`static int` | `ERROR_ENTITY_CATALOG_ADD`
`static int` | `ERROR_EXECUTE_QUERY`
`static int` | `ERROR_FIELD_DOES_NOT_EXIST`
`static int` | `ERROR_FIELD_NAME_NULL`
`static int` | `ERROR_FIELD_NULL`
`static int` | `ERROR_FIELDS_DEF_NULL`
`static int` | `ERROR_FREEING_LUCENE_RESOURCES`
`static int` | `ERROR_GENERIC`
`static int` | `ERROR_GET_CONNECTION`
`static int` | `ERROR_GET_DEFAULT_FIELD`
`static int` | `ERROR_GET_DOC`
`static int` | `ERROR_GET_ENCRYPTION`
`static int` | `ERROR_GET_ENTITIES`
`static int` | `ERROR_GET_ENTITY`
`static int` | `ERROR_GET_FIRST_FIELD`
`static int` | `ERROR_GET_HSQLDB_CONNECTION`
`static int` | `ERROR_GET_INPUTSOURCE`
`static int` | `ERROR_GET_LENGTH`
`static int` | `ERROR_GET_LUCENE_HITS_DOC`
`static int` | `ERROR_GET_PARAMETERS`
`static int` | `ERROR_GET_QUERY_PARSER`
`static int` | `ERROR_GET_QUERY_TERMS`
`static int` | `ERROR_GET_REMOTE_INDEX`
`static int` | `ERROR_GET_TERMS`
`static int` | `ERROR_GET_TRANSFORMED_FILE`
`static int` | `ERROR_GROUPS_NULL`
`static int` | `ERROR_HITS_NULL`
`static int` | `ERROR_HSQLDB_NULL`
`static int` | `ERROR_IDENTITY_NULL`
`static int` | `ERROR_INIT_DATABASE`
`static int` | `ERROR_INIT_REPO`
`static int` | `ERROR_INITIALIZING_LUCENE_INDEX`
`static int` | `ERROR_INVALID_ATTRIBUTE`
`static int` | `ERROR_INVALID_DOC_ID`
`static int` | `ERROR_INVALID_ID`
`static int` | `ERROR_INVALID_ID_VALUE`
`static int` | `ERROR_INVALID_NAME`
`static int` | `ERROR_INVALID_NEW_SUPERUSER_DATA`
`static int` | `ERROR_INVALID_NEW_SUPERUSER_ID`
`static int` | `ERROR_INVALID_NEW_SUPERUSER_PASSWORD`
`static int` | `ERROR_INVALID_REPO_ID` LookUp Index errors
`static int` | `ERROR_INVALID_SORT_ORDER`
`static int` | `ERROR_INVALID_STRING`
`static int` | `ERROR_INVALID_SUPERUSER_DATA_FROM_FILE`
`static int` | `ERROR_INVALID_VALUE`
`static int` | `ERROR_LOAD_ANALYZER`
`static int` | `ERROR_LOAD_ANALYZER_CONFIG`
`static int` | `ERROR_LOAD_REFERENCED_FIELD_LIST`
`static int` | `ERROR_LOAD_REFERENCED_REPO`
`static int` | `ERROR_LOCALE_NULL`
`static int` | `ERROR_LOOKUP_FRAMEWORK_SERVICE`
`static int` | `ERROR_LUCENE_ACQUIRE_FSDIRECTORY`
`static int` | `ERROR_LUCENE_COPY_MERGED_INDECES`
`static int` | `ERROR_LUCENE_DELETE`
`static int` | `ERROR_LUCENE_DELETE_FILES_INDECES`
`static int` | `ERROR_LUCENE_DELETE_TEMPORARY_INDECES`
`static int` | `ERROR_LUCENE_DOCUMENT_NULL`
`static int` | `ERROR_LUCENE_FILTER_NULL`
`static int` | `ERROR_LUCENE_INDEX_INIT`
`static int` | `ERROR_LUCENE_MERGE_INDECES`
`static int` | `ERROR_LUCENE_OPTIMIZE`
`static int` | `ERROR_LUCENE_QUERY_NULL`
`static int` | `ERROR_LUCENE_READ`
`static int` | `ERROR_LUCENE_READER_CLOSE`
`static int` | `ERROR_LUCENE_RETRIEVE_DOCUMENT`
`static int` | `ERROR_LUCENE_SEARCH`
`static int` | `ERROR_LUCENE_SEARCHER_CLOSE`
`static int` | `ERROR_LUCENE_SEARCHER_GET`
`static int` | `ERROR_LUCENE_TERMDOCS_CLOSE`
`static int` | `ERROR_LUCENE_TERMENUM_CLOSE`
`static int` | `ERROR_LUCENE_UNLOCK`
`static int` | `ERROR_LUCENE_WRITE`
`static int` | `ERROR_NEW_INSTANCE`
`static int` | `ERROR_NEW_OBJECT_INSTANCE_NULL`
`static int` | `ERROR_NO_APP_CONFIG_FILE`
`static int` | `ERROR_NO_APP_DIRECTORY`
`static int` | `ERROR_NO_APP_FIELD_LISTS_DEFINED`
`static int` | `ERROR_NO_APP_PUBLIC_ID`
`static int` | `ERROR_NO_APP_REPOS_DEFINED`
`static int` | `ERROR_NO_APPS_FOR_CONFIG`
`static int` | `ERROR_NO_CACHE_REPO_CONFIG`
`static int` | `ERROR_NO_CATALOGS_DEFINED`
`static int` | `ERROR_NO_DOC_EXISTS_DOCBASE`
`static int` | `ERROR_NO_DOC_EXISTS_REPO`
`static int` | `ERROR_NO_DOCUMENTBASES_IN_CONFIG`
`static int` | `ERROR_NO_FIELD_LIST_CONFIG`
`static int` | `ERROR_NO_FIELDS_IN_CONFIG`
`static int` | `ERROR_NO_ID_GENERATOR`
`static int` | `ERROR_NO_INTERNAL_FIELDS_CONFIG`
`static int` | `ERROR_NO_OAI_DC_METADATA_FORMAT`
`static int` | `ERROR_NO_PIPELINE_CONFIG`
`static int` | `ERROR_NO_PIPELINES_IN_CONFIG`
`static int` | `ERROR_NO_REPOSITORIES_IN_CONFIG`
`static int` | `ERROR_NO_SDX_CONFIG_FILE`
`static int` | `ERROR_NO_SECURITY_MANAGER`
`static int` | `ERROR_NO_TRANSFORMATIONS_IN_CONFIG`
`static int` | `ERROR_NO_USER_DOCUMENTBASE_CONFIG`
`static int` | `ERROR_NO_USER_EXISTS`
`static int` | `ERROR_NOT_DATE_FIELD`
`static int` | `ERROR_NOT_DIRECTORY`
`static int` | `ERROR_OBJECT_WITH_ID_EXISTS`
`static int` | `ERROR_OPEN_STREAM`
`static int` | `ERROR_OPTIMIZE`
`static int` | `ERROR_OUTPUT_STREAM_NULL`
`static int` | `ERROR_PARSE_DOC`
`static int` | `ERROR_PARSER_NULL`
`static int` | `ERROR_QUERY_NULL`
`static int` | `ERROR_QUERY_PARSER_NULL`
`static int` | `ERROR_QUERY_TERMS_NULL`
`static int` | `ERROR_QUERY_UNPARSABLE`
`static int` | `ERROR_READ_NEW_SUPERUSER_FILE`
`static int` | `ERROR_REMOVE_PROPERTY_WITH_ID`
`static int` | `ERROR_REMOVE_PROPERTY_WITHOUT_ID`
`static int` | `ERROR_RESOLVE_FILE`
`static int` | `ERROR_RESOLVE_FILE_INVALID_FILE_PATH`
`static int` | `ERROR_RESOLVE_FILE_NULL_LOCATION`
`static int` | `ERROR_RESOLVE_FILE_PROPS_NULL`
`static int` | `ERROR_RESULT_DOCS_NULL`
`static int` | `ERROR_RETRIEVE_REPO_FOR_DOCUMENT`
`static int` | `ERROR_ROLLBACK`
`static int` | `ERROR_ROLLBACK_SQL_CONNECTION`
`static int` | `ERROR_SAVE_ENTITY`
`static int` | `ERROR_SDX_APPLICATIONS_FILE_UNREADABLE`
`static int` | `ERROR_SDX_CONFIG_FILE_READ`
`static int` | `ERROR_SDX_OAI_FIELD_NOT_BRIEF`
`static int` | `ERROR_SEARCH_DATABASE`
`static int` | `ERROR_SEARCH_HITS_NULL`
`static int` | `ERROR_SEARCHER_NULL`
`static int` | `ERROR_SEARCHLOCATIONS_NULL`
`static int` | `ERROR_SERVICE_MANAGER_NULL`
`static int` | `ERROR_SET_ANALYZER`
`static int` | `ERROR_SET_AUTO_COMMIT`
`static int` | `ERROR_SET_AUTO_COMMIT_SQL_CONNECTION`
`static int` | `ERROR_SET_TRANSFORMED_DOC`
`static int` | `ERROR_SETUP_RESULTS`
`static int` | `ERROR_SETUP_TERMINFO`
`static int` | `ERROR_SETUP_TERMS`
`static int` | `ERROR_SIZE_REPO`
`static int` | `ERROR_SUPERUSER_NOT_SET`
`static int` | `ERROR_SUPERUSER_PASSWORD`
`static int` | `ERROR_SYSTEM_PRIVILEGES`
`static int` | `ERROR_SYSTEM_PROPERTY`
`static int` | `ERROR_TERMINFO_SETDOCID`
`static int` | `ERROR_UNKNOWN_APPLICATION`
`static int` | `ERROR_UNKNOWN_DOCUMENT_BASE`
`static int` | `ERROR_UNKNOWN_OAI_GRANULARITY`
`static int` | `ERROR_UNKNOWN_PIPELINE`
`static int` | `ERROR_UNKNOWN_REPOSITORY`
`static int` | `ERROR_UNKNOWN_THESAURUS`
`static int` | `ERROR_UNRECOGNIZED_DOCUMENTBASE_CONFIG`
`static int` | `ERROR_USER_DOC_SAX_PARSE`
`static int` | `ERROR_USING_DEFAULT_GENERATOR`
`static int` | `ERROR_USING_DEFAULT_REPO`
`static int` | `ERROR_VALIDATE_SUPERUSER`
`static int` | `ERROR_WRITE_NEW_SUPERUSER_FILE`
`static int` | `ERROR_XML_CONSUMER_NULL`
`static int` | `INFO_SDX_INDEXATION_BATCH_START`
`static java.lang.String` | `PRIORITY_CONFIG_FAILURE`

Field Detail

### PRIORITY_CONFIG_FAILURE

    public static final java.lang.String PRIORITY_CONFIG_FAILURE

See Also:
  Constant Field Values

### ERROR_GENERIC

    public static final int ERROR_GENERIC

See Also:
  Constant Field Values

### ERROR_NO_SDX_CONFIG_FILE

    public static final int ERROR_NO_SDX_CONFIG_FILE

See Also:
  Constant Field Values

### ERROR_SDX_CONFIG_FILE_READ

    public static final int ERROR_SDX_CONFIG_FILE_READ

See Also:
  Constant Field Values

### ERROR_APP_CONFIG_FILE_READ

    public static final int ERROR_APP_CONFIG_FILE_READ

See Also:
  Constant Field Values

### ERROR_NO_APPS_FOR_CONFIG

    public static final int ERROR_NO_APPS_FOR_CONFIG

See Also:
  Constant Field Values

### ERROR_CONFIGURE_INTERNAL_FIELDS

    public static final int ERROR_CONFIGURE_INTERNAL_FIELDS

See Also:
  Constant Field Values

### ERROR_NO_APP_CONFIG_FILE

    public static final int ERROR_NO_APP_CONFIG_FILE

See Also:
  Constant Field Values

### ERROR_NO_DOCUMENTBASES_IN_CONFIG

    public static final int ERROR_NO_DOCUMENTBASES_IN_CONFIG

See Also:
  Constant Field Values

### ERROR_CONFIGURE_DOCUMENT_BASE

    public static final int ERROR_CONFIGURE_DOCUMENT_BASE

See Also:
  Constant Field Values

### ERROR_CONFIGURE_REPOSITORY

    public static final int ERROR_CONFIGURE_REPOSITORY

See Also:
  Constant Field Values

### ERROR_CLASS_NOT_INSTANCEOF_SDX_INTERFACE

    public static final int ERROR_CLASS_NOT_INSTANCEOF_SDX_INTERFACE

See Also:
  Constant Field Values

### ERROR_NO_REPOSITORIES_IN_CONFIG

    public static final int ERROR_NO_REPOSITORIES_IN_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_APP_PUBLIC_ID

    public static final int ERROR_NO_APP_PUBLIC_ID

See Also:
  Constant Field Values

### ERROR_NO_USER_DOCUMENTBASE_CONFIG

    public static final int ERROR_NO_USER_DOCUMENTBASE_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_FIELD_LIST_CONFIG

    public static final int ERROR_NO_FIELD_LIST_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_INTERNAL_FIELDS_CONFIG

    public static final int ERROR_NO_INTERNAL_FIELDS_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_PIPELINE_CONFIG

    public static final int ERROR_NO_PIPELINE_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_TRANSFORMATIONS_IN_CONFIG

    public static final int ERROR_NO_TRANSFORMATIONS_IN_CONFIG

See Also:
  Constant Field Values

### ERROR_INVALID_ID_VALUE

    public static final int ERROR_INVALID_ID_VALUE

See Also:
  Constant Field Values

### ERROR_INVALID_ATTRIBUTE

    public static final int ERROR_INVALID_ATTRIBUTE

See Also:
  Constant Field Values

### ERROR_NO_CACHE_REPO_CONFIG

    public static final int ERROR_NO_CACHE_REPO_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_FIELDS_IN_CONFIG

    public static final int ERROR_NO_FIELDS_IN_CONFIG

See Also:
  Constant Field Values

### ERROR_NO_APP_DIRECTORY

    public static final int ERROR_NO_APP_DIRECTORY

See Also:
  Constant Field Values

### ERROR_NO_PIPELINES_IN_CONFIG

    public static final int ERROR_NO_PIPELINES_IN_CONFIG

See Also:
  Constant Field Values

### ERROR_CONFIGURE_PIPELINE

    public static final int ERROR_CONFIGURE_PIPELINE

See Also:
  Constant Field Values

### ERROR_ENTITY_CATALOG_ADD

    public static final int ERROR_ENTITY_CATALOG_ADD

See Also:
  Constant Field Values

### ERROR_ACQUIRE_RESOLVER

    public static final int ERROR_ACQUIRE_RESOLVER

See Also:
  Constant Field Values

### ERROR_NO_CATALOGS_DEFINED

    public static final int ERROR_NO_CATALOGS_DEFINED

See Also:
  Constant Field Values

### ERROR_NO_APP_REPOS_DEFINED

    public static final int ERROR_NO_APP_REPOS_DEFINED

See Also:
  Constant Field Values

### ERROR_LOAD_REFERENCED_REPO

    public static final int ERROR_LOAD_REFERENCED_REPO

See Also:
  Constant Field Values

### ERROR_DEFAULT_FIELD_EXISTS

    public static final int ERROR_DEFAULT_FIELD_EXISTS

See Also:
  Constant Field Values

### ERROR_UNRECOGNIZED_DOCUMENTBASE_CONFIG

    public static final int ERROR_UNRECOGNIZED_DOCUMENTBASE_CONFIG

See Also:
  Constant Field Values

### ERROR_CONFIGURE_APP

    public static final int ERROR_CONFIGURE_APP

See Also:
  Constant Field Values

### ERROR_NO_SECURITY_MANAGER

    public static final int ERROR_NO_SECURITY_MANAGER

See Also:
  Constant Field Values

### ERROR_SYSTEM_PROPERTY

    public static final int ERROR_SYSTEM_PROPERTY

See Also:
  Constant Field Values

### ERROR_SYSTEM_PRIVILEGES

    public static final int ERROR_SYSTEM_PRIVILEGES

See Also:
  Constant Field Values

### ERROR_CREATE_RMI_REGISTRY

    public static final int ERROR_CREATE_RMI_REGISTRY

See Also:
  Constant Field Values

### ERROR_CONFIGURE_QUERY_PARSER

    public static final int ERROR_CONFIGURE_QUERY_PARSER

See Also:
  Constant Field Values

### ERROR_BIND_REMOTE_INDEX

    public static final int ERROR_BIND_REMOTE_INDEX

See Also:
  Constant Field Values

### ERROR_CONFIGURE_ID_GENERATOR

    public static final int ERROR_CONFIGURE_ID_GENERATOR

See Also:
  Constant Field Values

### ERROR_CONFIGURE_TRANSFORMATION

    public static final int ERROR_CONFIGURE_TRANSFORMATION

See Also:
  Constant Field Values

### ERROR_CONFIGURE_THESAURUS

    public static final int ERROR_CONFIGURE_THESAURUS

See Also:
  Constant Field Values

### ERROR_LOAD_REFERENCED_FIELD_LIST

    public static final int ERROR_LOAD_REFERENCED_FIELD_LIST

See Also:
  Constant Field Values

### ERROR_NO_APP_FIELD_LISTS_DEFINED

    public static final int ERROR_NO_APP_FIELD_LISTS_DEFINED

See Also:
  Constant Field Values

### ERROR_NO_OAI_DC_METADATA_FORMAT

    public static final int ERROR_NO_OAI_DC_METADATA_FORMAT

See Also:
  Constant Field Values

### ERROR_SDX_OAI_FIELD_NOT_BRIEF

    public static final int ERROR_SDX_OAI_FIELD_NOT_BRIEF

See Also:
  Constant Field Values

### ERROR_OBJECT_WITH_ID_EXISTS

    public static final int ERROR_OBJECT_WITH_ID_EXISTS

See Also:
  Constant Field Values

### ERROR_UNKNOWN_OAI_GRANULARITY

    public static final int ERROR_UNKNOWN_OAI_GRANULARITY

See Also:
  Constant Field Values

### ERROR_SDX_APPLICATIONS_FILE_UNREADABLE

    public static final int ERROR_SDX_APPLICATIONS_FILE_UNREADABLE

See Also:
  Constant Field Values

### ERROR_CONFIGURE_LUCENE_INDEX

    public static final int ERROR_CONFIGURE_LUCENE_INDEX

See Also:
  Constant Field Values

### ERROR_CONFIGURE_INDEXATION_LOGGER

    public static final int ERROR_CONFIGURE_INDEXATION_LOGGER

See Also:
  Constant Field Values

### ERROR_DIRECTORY_PATH_NULL

    public static final int ERROR_DIRECTORY_PATH_NULL

See Also:
  Constant Field Values

### ERROR_DIRECTORY_NULL

    public static final int ERROR_DIRECTORY_NULL

See Also:
  Constant Field Values

### ERROR_CREATE_DIRS

    public static final int ERROR_CREATE_DIRS

See Also:
  Constant Field Values

### ERROR_NOT_DIRECTORY

    public static final int ERROR_NOT_DIRECTORY

See Also:
  Constant Field Values

### ERROR_DIRECTORY_NOT_READABLE

    public static final int ERROR_DIRECTORY_NOT_READABLE

See Also:
  Constant Field Values

### ERROR_DIRECTORY_NOT_WRITABLE

    public static final int ERROR_DIRECTORY_NOT_WRITABLE

See Also:
  Constant Field Values

### ERROR_RESOLVE_FILE_PROPS_NULL

    public static final int ERROR_RESOLVE_FILE_PROPS_NULL

See Also:
  Constant Field Values

### ERROR_RESOLVE_FILE_INVALID_FILE_PATH

    public static final int ERROR_RESOLVE_FILE_INVALID_FILE_PATH

See Also:
  Constant Field Values

### ERROR_RESOLVE_FILE

    public static final int ERROR_RESOLVE_FILE

See Also:
  Constant Field Values

### ERROR_CONFIG_NULL

    public static final int ERROR_CONFIG_NULL

See Also:
  Constant Field Values

### ERROR_GET_REMOTE_INDEX

    public static final int ERROR_GET_REMOTE_INDEX

See Also:
  Constant Field Values

### ERROR_GET_QUERY_TERMS

    public static final int ERROR_GET_QUERY_TERMS

See Also:
  Constant Field Values

### ERROR_BUILD_URL

    public static final int ERROR_BUILD_URL

See Also:
  Constant Field Values

### ERROR_GET_HSQLDB_CONNECTION

    public static final int ERROR_GET_HSQLDB_CONNECTION

See Also:
  Constant Field Values

### ERROR_GET_PARAMETERS

    public static final int ERROR_GET_PARAMETERS

See Also:
  Constant Field Values

### ERROR_RESOLVE_FILE_NULL_LOCATION

    public static final int ERROR_RESOLVE_FILE_NULL_LOCATION

See Also:
  Constant Field Values

### ERROR_LUCENE_READ

    public static final int ERROR_LUCENE_READ

See Also:
  Constant Field Values

### ERROR_LUCENE_RETRIEVE_DOCUMENT

    public static final int ERROR_LUCENE_RETRIEVE_DOCUMENT

See Also:
  Constant Field Values

### ERROR_LUCENE_SEARCH

    public static final int ERROR_LUCENE_SEARCH

See Also:
  Constant Field Values

### ERROR_LUCENE_SEARCHER_GET

    public static final int ERROR_LUCENE_SEARCHER_GET

See Also:
  Constant Field Values

### ERROR_LUCENE_WRITE

    public static final int ERROR_LUCENE_WRITE

See Also:
  Constant Field Values

### ERROR_LUCENE_DELETE

    public static final int ERROR_LUCENE_DELETE

See Also:
  Constant Field Values

### ERROR_LUCENE_ACQUIRE_FSDIRECTORY

    public static final int ERROR_LUCENE_ACQUIRE_FSDIRECTORY

See Also:
  Constant Field Values

### ERROR_INVALID_STRING

    public static final int ERROR_INVALID_STRING

See Also:
  Constant Field Values

### ERROR_LUCENE_TERMDOCS_CLOSE

    public static final int ERROR_LUCENE_TERMDOCS_CLOSE

See Also:
  Constant Field Values

### ERROR_LUCENE_SEARCHER_CLOSE

    public static final int ERROR_LUCENE_SEARCHER_CLOSE

See Also:
  Constant Field Values

### ERROR_LUCENE_TERMENUM_CLOSE

    public static final int ERROR_LUCENE_TERMENUM_CLOSE

See Also:
  Constant Field Values

### ERROR_LUCENE_READER_CLOSE

    public static final int ERROR_LUCENE_READER_CLOSE

See Also:
  Constant Field Values

### ERROR_INVALID_ID

    public static final int ERROR_INVALID_ID

See Also:
  Constant Field Values

### ERROR_OUTPUT_STREAM_NULL

    public static final int ERROR_OUTPUT_STREAM_NULL

See Also:
  Constant Field Values

### ERROR_XML_CONSUMER_NULL

    public static final int ERROR_XML_CONSUMER_NULL

See Also:
  Constant Field Values

### ERROR_CONTENT_HANDLER_NULL

    public static final int ERROR_CONTENT_HANDLER_NULL

See Also:
  Constant Field Values

### ERROR_LOCALE_NULL

    public static final int ERROR_LOCALE_NULL

See Also:
  Constant Field Values

### ERROR_DEFAULT_ENCODING

    public static final int ERROR_DEFAULT_ENCODING

See Also:
  Constant Field Values

### ERROR_LUCENE_QUERY_NULL

    public static final int ERROR_LUCENE_QUERY_NULL

See Also:
  Constant Field Values

### ERROR_CLOSE_STREAM

    public static final int ERROR_CLOSE_STREAM

See Also:
  Constant Field Values

### ERROR_NEW_OBJECT_INSTANCE_NULL

    public static final int ERROR_NEW_OBJECT_INSTANCE_NULL

See Also:
  Constant Field Values

### ERROR_SERVICE_MANAGER_NULL

    public static final int ERROR_SERVICE_MANAGER_NULL

See Also:
  Constant Field Values

### ERROR_LOOKUP_FRAMEWORK_SERVICE

    public static final int ERROR_LOOKUP_FRAMEWORK_SERVICE

See Also:
  Constant Field Values

### ERROR_LUCENE_OPTIMIZE

    public static final int ERROR_LUCENE_OPTIMIZE

See Also:
  Constant Field Values

### ERROR_COMMIT_SQL_CONNECTION

    public static final int ERROR_COMMIT_SQL_CONNECTION

See Also:
  Constant Field Values

### ERROR_ROLLBACK_SQL_CONNECTION

    public static final int ERROR_ROLLBACK_SQL_CONNECTION

See Also:
  Constant Field Values

### ERROR_SET_AUTO_COMMIT_SQL_CONNECTION

    public static final int ERROR_SET_AUTO_COMMIT_SQL_CONNECTION

See Also:
  Constant Field Values

### ERROR_LUCENE_MERGE_INDECES

    public static final int ERROR_LUCENE_MERGE_INDECES

See Also:
  Constant Field Values

### ERROR_LUCENE_DELETE_FILES_INDECES

    public static final int ERROR_LUCENE_DELETE_FILES_INDECES

See Also:
  Constant Field Values

### ERROR_LUCENE_DELETE_TEMPORARY_INDECES

    public static final int ERROR_LUCENE_DELETE_TEMPORARY_INDECES

See Also:
  Constant Field Values

### ERROR_LUCENE_COPY_MERGED_INDECES

    public static final int ERROR_LUCENE_COPY_MERGED_INDECES

See Also:
  Constant Field Values

### ERROR_LUCENE_UNLOCK

    public static final int ERROR_LUCENE_UNLOCK

See Also:
  Constant Field Values

### ERROR_CREATE_LUCENE_FIELD

    public static final int ERROR_CREATE_LUCENE_FIELD

See Also:
  Constant Field Values

### ERROR_INIT_DATABASE

    public static final int ERROR_INIT_DATABASE

See Also:
  Constant Field Values

### ERROR_GET_ENTITY

    public static final int ERROR_GET_ENTITY

See Also:
  Constant Field Values

### ERROR_GET_ENTITIES

    public static final int ERROR_GET_ENTITIES

See Also:
  Constant Field Values

### ERROR_CONFIGURE_DATABASE

    public static final int ERROR_CONFIGURE_DATABASE

See Also:
  Constant Field Values

### ERROR_HSQLDB_NULL

    public static final int ERROR_HSQLDB_NULL

See Also:
  Constant Field Values

### ERROR_SEARCH_DATABASE

    public static final int ERROR_SEARCH_DATABASE

See Also:
  Constant Field Values

### ERROR_SAVE_ENTITY

    public static final int ERROR_SAVE_ENTITY

See Also:
  Constant Field Values

### ERROR_DELETE_ENTITY

    public static final int ERROR_DELETE_ENTITY

See Also:
  Constant Field Values

### ERROR_DELETE_ENTITIES

    public static final int ERROR_DELETE_ENTITIES

See Also:
  Constant Field Values

### ERROR_CREATE_INDEX

    public static final int ERROR_CREATE_INDEX

See Also:
  Constant Field Values

### ERROR_ADD_PROPERTY

    public static final int ERROR_ADD_PROPERTY

See Also:
  Constant Field Values

### ERROR_REMOVE_PROPERTY_WITH_ID

    public static final int ERROR_REMOVE_PROPERTY_WITH_ID

See Also:
  Constant Field Values

### ERROR_REMOVE_PROPERTY_WITHOUT_ID

    public static final int ERROR_REMOVE_PROPERTY_WITHOUT_ID

See Also:
  Constant Field Values

### ERROR_OPTIMIZE

    public static final int ERROR_OPTIMIZE

See Also:
  Constant Field Values

### ERROR_INVALID_NEW_SUPERUSER_ID

    public static final int ERROR_INVALID_NEW_SUPERUSER_ID

See Also:
  Constant Field Values

### ERROR_INVALID_NEW_SUPERUSER_PASSWORD

    public static final int ERROR_INVALID_NEW_SUPERUSER_PASSWORD

See Also:
  Constant Field Values

### ERROR_INVALID_NEW_SUPERUSER_DATA

    public static final int ERROR_INVALID_NEW_SUPERUSER_DATA

See Also:
  Constant Field Values

### ERROR_WRITE_NEW_SUPERUSER_FILE

    public static final int ERROR_WRITE_NEW_SUPERUSER_FILE

See Also:
  Constant Field Values

### ERROR_VALIDATE_SUPERUSER

    public static final int ERROR_VALIDATE_SUPERUSER

See Also:
  Constant Field Values

### ERROR_SUPERUSER_PASSWORD

    public static final int ERROR_SUPERUSER_PASSWORD

See Also:
  Constant Field Values

### ERROR_GET_ENCRYPTION

    public static final int ERROR_GET_ENCRYPTION

See Also:
  Constant Field Values

### ERROR_READ_NEW_SUPERUSER_FILE

    public static final int ERROR_READ_NEW_SUPERUSER_FILE

See Also:
  Constant Field Values

### ERROR_INVALID_SUPERUSER_DATA_FROM_FILE

    public static final int ERROR_INVALID_SUPERUSER_DATA_FROM_FILE

See Also:
  Constant Field Values

### ERROR_SUPERUSER_NOT_SET

    public static final int ERROR_SUPERUSER_NOT_SET

See Also:
  Constant Field Values

### ERROR_CREATE_APP_FILE

    public static final int ERROR_CREATE_APP_FILE

See Also:
  Constant Field Values

### ERROR_CREATE_APPS_LIST_FILE

    public static final int ERROR_CREATE_APPS_LIST_FILE

See Also:
  Constant Field Values

### ERROR_ACCESS_APPS_LIST_FILE

    public static final int ERROR_ACCESS_APPS_LIST_FILE

See Also:
  Constant Field Values

### ERROR_UNKNOWN_APPLICATION

    public static final int ERROR_UNKNOWN_APPLICATION

See Also:
  Constant Field Values

### ERROR_UNKNOWN_DOCUMENT_BASE

    public static final int ERROR_UNKNOWN_DOCUMENT_BASE

See Also:
  Constant Field Values

### ERROR_UNKNOWN_REPOSITORY

    public static final int ERROR_UNKNOWN_REPOSITORY

See Also:
  Constant Field Values

### ERROR_USER_DOC_SAX_PARSE

    public static final int ERROR_USER_DOC_SAX_PARSE

See Also:
  Constant Field Values

### ERROR_IDENTITY_NULL

    public static final int ERROR_IDENTITY_NULL

See Also:
  Constant Field Values

### ERROR_UNKNOWN_THESAURUS

    public static final int ERROR_UNKNOWN_THESAURUS

See Also:
  Constant Field Values

### ERROR_APPLICATION_XCONF_UNVAILABLE

    public static final int ERROR_APPLICATION_XCONF_UNVAILABLE

See Also:
  Constant Field Values

### ERROR_NO_DOC_EXISTS_DOCBASE

    public static final int ERROR_NO_DOC_EXISTS_DOCBASE

See Also:
  Constant Field Values

### ERROR_ACQUIRE_PARSER

    public static final int ERROR_ACQUIRE_PARSER

See Also:
  Constant Field Values

### ERROR_DOC_OWNED

    public static final int ERROR_DOC_OWNED

See Also:
  Constant Field Values

### ERROR_DOC_EXISTS

    public static final int ERROR_DOC_EXISTS

See Also:
  Constant Field Values

### ERROR_USING_DEFAULT_REPO

    public static final int ERROR_USING_DEFAULT_REPO

See Also:
  Constant Field Values

### ERROR_ADDING_LUCENE_SUB_INDEX

    public static final int ERROR_ADDING_LUCENE_SUB_INDEX

See Also:
  Constant Field Values

### ERROR_INITIALIZING_LUCENE_INDEX

    public static final int ERROR_INITIALIZING_LUCENE_INDEX

See Also:
  Constant Field Values

### ERROR_FREEING_LUCENE_RESOURCES

    public static final int ERROR_FREEING_LUCENE_RESOURCES

See Also:
  Constant Field Values

### ERROR_INVALID_REPO_ID

    public static final int ERROR_INVALID_REPO_ID

  LookUp Index errors

  See Also:
    Constant Field Values

### ERROR_RETRIEVE_REPO_FOR_DOCUMENT

    public static final int ERROR_RETRIEVE_REPO_FOR_DOCUMENT

See Also:
  Constant Field Values

### ERROR_ADD_DOC

    public static final int ERROR_ADD_DOC

See Also:
  Constant Field Values

### ERROR_GET_DOC

    public static final int ERROR_GET_DOC

See Also:
  Constant Field Values

### ERROR_NO_DOC_EXISTS_REPO

    public static final int ERROR_NO_DOC_EXISTS_REPO

See Also:
  Constant Field Values

### ERROR_EMPTY

    public static final int ERROR_EMPTY

See Also:
  Constant Field Values

### ERROR_DELETE_DOC

    public static final int ERROR_DELETE_DOC

See Also:
  Constant Field Values

### ERROR_CONNECTION_NULL

    public static final int ERROR_CONNECTION_NULL

See Also:
  Constant Field Values

### ERROR_CLOSE_CONNECTION

    public static final int ERROR_CLOSE_CONNECTION

See Also:
  Constant Field Values

### ERROR_GET_CONNECTION

    public static final int ERROR_GET_CONNECTION

See Also:
  Constant Field Values

### ERROR_INIT_REPO

    public static final int ERROR_INIT_REPO

See Also:
  Constant Field Values

### ERROR_SIZE_REPO

    public static final int ERROR_SIZE_REPO

See Also:
  Constant Field Values

### ERROR_CLOSE_SQL_CONNECTION

    public static final int ERROR_CLOSE_SQL_CONNECTION

See Also:
  Constant Field Values

### ERROR_CLOSE_RESULT_SET

    public static final int ERROR_CLOSE_RESULT_SET

See Also:
  Constant Field Values

### ERROR_ACQUIRE_DATASOURCE

    public static final int ERROR_ACQUIRE_DATASOURCE

See Also:
  Constant Field Values

### ERROR_CREATE_TABLE

    public static final int ERROR_CREATE_TABLE

See Also:
  Constant Field Values

### ERROR_CLOSE_SQL_PREPARED_STATEMENT

    public static final int ERROR_CLOSE_SQL_PREPARED_STATEMENT

See Also:
  Constant Field Values

### ERROR_COMMIT

    public static final int ERROR_COMMIT

See Also:
  Constant Field Values

### ERROR_ROLLBACK

    public static final int ERROR_ROLLBACK

See Also:
  Constant Field Values

### ERROR_SET_AUTO_COMMIT

    public static final int ERROR_SET_AUTO_COMMIT

See Also:
  Constant Field Values

### ERROR_SEARCHLOCATIONS_NULL

    public static final int ERROR_SEARCHLOCATIONS_NULL

See Also:
  Constant Field Values

### ERROR_FIELD_DOES_NOT_EXIST

    public static final int ERROR_FIELD_DOES_NOT_EXIST

See Also:
  Constant Field Values

### ERROR_HITS_NULL

    public static final int ERROR_HITS_NULL

See Also:
  Constant Field Values

### ERROR_SEARCH_HITS_NULL

    public static final int ERROR_SEARCH_HITS_NULL

See Also:
  Constant Field Values

### ERROR_FIELD_NULL

    public static final int ERROR_FIELD_NULL

See Also:
  Constant Field Values

### ERROR_QUERY_NULL

    public static final int ERROR_QUERY_NULL

See Also:
  Constant Field Values

### ERROR_QUERY_UNPARSABLE

    public static final int ERROR_QUERY_UNPARSABLE

See Also:
  Constant Field Values

### ERROR_LUCENE_INDEX_INIT

    public static final int ERROR_LUCENE_INDEX_INIT

See Also:
  Constant Field Values

### ERROR_SEARCHER_NULL

    public static final int ERROR_SEARCHER_NULL

See Also:
  Constant Field Values

### ERROR_EXECUTE_QUERY

    public static final int ERROR_EXECUTE_QUERY

See Also:
  Constant Field Values

### ERROR_GET_LUCENE_HITS_DOC

    public static final int ERROR_GET_LUCENE_HITS_DOC

See Also:
  Constant Field Values

### ERROR_NOT_DATE_FIELD

    public static final int ERROR_NOT_DATE_FIELD

See Also:
  Constant Field Values

### ERROR_DATE_INVALID

    public static final int ERROR_DATE_INVALID

See Also:
  Constant Field Values

### ERROR_QUERY_TERMS_NULL

    public static final int ERROR_QUERY_TERMS_NULL

See Also:
  Constant Field Values

### ERROR_QUERY_PARSER_NULL

    public static final int ERROR_QUERY_PARSER_NULL

See Also:
  Constant Field Values

### ERROR_GET_QUERY_PARSER

    public static final int ERROR_GET_QUERY_PARSER

See Also:
  Constant Field Values

### ERROR_FIELD_NAME_NULL

    public static final int ERROR_FIELD_NAME_NULL

See Also:
  Constant Field Values

### ERROR_SETUP_TERMS

    public static final int ERROR_SETUP_TERMS

See Also:
  Constant Field Values

### ERROR_GET_TERMS

    public static final int ERROR_GET_TERMS

See Also:
  Constant Field Values

### ERROR_FIELDS_DEF_NULL

    public static final int ERROR_FIELDS_DEF_NULL

See Also:
  Constant Field Values

### ERROR_LOAD_ANALYZER

    public static final int ERROR_LOAD_ANALYZER

See Also:
  Constant Field Values

### ERROR_LOAD_ANALYZER_CONFIG

    public static final int ERROR_LOAD_ANALYZER_CONFIG

See Also:
  Constant Field Values

### ERROR_ANALYZER_CONFIG_FILE_READ

    public static final int ERROR_ANALYZER_CONFIG_FILE_READ

See Also:
  Constant Field Values

### ERROR_SET_ANALYZER

    public static final int ERROR_SET_ANALYZER

See Also:
  Constant Field Values

### ERROR_SETUP_RESULTS

    public static final int ERROR_SETUP_RESULTS

See Also:
  Constant Field Values

### ERROR_DOCUMENT_NOT_IN_RESULTS

    public static final int ERROR_DOCUMENT_NOT_IN_RESULTS

See Also:
  Constant Field Values

### ERROR_BUILD_MULTISEARCHER

    public static final int ERROR_BUILD_MULTISEARCHER

See Also:
  Constant Field Values

### ERROR_GET_FIRST_FIELD

    public static final int ERROR_GET_FIRST_FIELD

See Also:
  Constant Field Values

### ERROR_GET_DEFAULT_FIELD

    public static final int ERROR_GET_DEFAULT_FIELD

See Also:
  Constant Field Values

### ERROR_BUILD_MULTIREADER

    public static final int ERROR_BUILD_MULTIREADER

See Also:
  Constant Field Values

### ERROR_SETUP_TERMINFO

    public static final int ERROR_SETUP_TERMINFO

See Also:
  Constant Field Values

### ERROR_TERMINFO_SETDOCID

    public static final int ERROR_TERMINFO_SETDOCID

See Also:
  Constant Field Values

### ERROR_LUCENE_FILTER_NULL

    public static final int ERROR_LUCENE_FILTER_NULL

See Also:
  Constant Field Values

### ERROR_INVALID_VALUE

    public static final int ERROR_INVALID_VALUE

See Also:
  Constant Field Values

### ERROR_LUCENE_DOCUMENT_NULL

    public static final int ERROR_LUCENE_DOCUMENT_NULL

See Also:
  Constant Field Values

### ERROR_RESULT_DOCS_NULL

    public static final int ERROR_RESULT_DOCS_NULL

See Also:
  Constant Field Values

### ERROR_INVALID_SORT_ORDER

    public static final int ERROR_INVALID_SORT_ORDER

See Also:
  Constant Field Values

### ERROR_DOC_NULL

    public static final int ERROR_DOC_NULL

See Also:
  Constant Field Values

### ERROR_INVALID_DOC_ID

    public static final int ERROR_INVALID_DOC_ID

See Also:
  Constant Field Values

### ERROR_GET_INPUTSOURCE

    public static final int ERROR_GET_INPUTSOURCE

See Also:
  Constant Field Values

### ERROR_GET_LENGTH

    public static final int ERROR_GET_LENGTH

See Also:
  Constant Field Values

### ERROR_BUILD_DOC_URL

    public static final int ERROR_BUILD_DOC_URL

See Also:
  Constant Field Values

### ERROR_OPEN_STREAM

    public static final int ERROR_OPEN_STREAM

See Also:
  Constant Field Values

### ERROR_USING_DEFAULT_GENERATOR

    public static final int ERROR_USING_DEFAULT_GENERATOR

See Also:
  Constant Field Values

### ERROR_NO_ID_GENERATOR

    public static final int ERROR_NO_ID_GENERATOR

See Also:
  Constant Field Values

### ERROR_PARSER_NULL

    public static final int ERROR_PARSER_NULL

See Also:
  Constant Field Values

### ERROR_PARSE_DOC

    public static final int ERROR_PARSE_DOC

See Also:
  Constant Field Values

### ERROR_SET_TRANSFORMED_DOC

    public static final int ERROR_SET_TRANSFORMED_DOC

See Also:
  Constant Field Values

### ERROR_NO_USER_EXISTS

    public static final int ERROR_NO_USER_EXISTS

See Also:
  Constant Field Values

### ERROR_INVALID_NAME

    public static final int ERROR_INVALID_NAME

See Also:
  Constant Field Values

### ERROR_GROUPS_NULL

    public static final int ERROR_GROUPS_NULL

See Also:
  Constant Field Values

### ERROR_UNKNOWN_PIPELINE

    public static final int ERROR_UNKNOWN_PIPELINE

See Also:
  Constant Field Values

### ERROR_NEW_INSTANCE

    public static final int ERROR_NEW_INSTANCE

See Also:
  Constant Field Values

### ERROR_BUILD_TRANSFORMED_FILE

    public static final int ERROR_BUILD_TRANSFORMED_FILE

See Also:
  Constant Field Values

### ERROR_GET_TRANSFORMED_FILE

    public static final int ERROR_GET_TRANSFORMED_FILE

See Also:
  Constant Field Values

### ERROR_DELETE_APP_ID

    public static final int ERROR_DELETE_APP_ID

See Also:
  Constant Field Values

### ERROR_BACKUP_APPLICATION

    public static final int ERROR_BACKUP_APPLICATION

See Also:
  Constant Field Values

### ERROR_BACKUP_DOCUMENTBASE

    public static final int ERROR_BACKUP_DOCUMENTBASE

See Also:
  Constant Field Values

### ERROR_BACKUP_DATABASE

    public static final int ERROR_BACKUP_DATABASE

See Also:
  Constant Field Values

### ERROR_BACKUP_INDEX

    public static final int ERROR_BACKUP_INDEX

See Also:
  Constant Field Values

### ERROR_BACKUP_REPOSITORY

    public static final int ERROR_BACKUP_REPOSITORY

See Also:
  Constant Field Values

### INFO_SDX_INDEXATION_BATCH_START

    public static final int INFO_SDX_INDEXATION_BATCH_START

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.